Zonemaster::Test::Delegation(3pm)

NAME
Zonemaster::Test::Delegation - Tests regarding delegation details

SYNOPSIS
    my @results = Zonemaster::Test::Delegation->all($zone);

METHODS

all($zone)
    Runs the default set of tests and returns a list of log entries made by the tests.

translation()
    Returns a reference to a hash with translation data. Used by the builtin translation system.

metadata()
    Returns a reference to a hash, the keys of which are the names of all test methods in the module, and the corresponding values are references to lists with all the tags that the method can use in log entries.

version()
    Returns a version string for the module.

TESTS

delegation01($zone)
    Verify that there is more than two nameserver.

delegation02($zone)
    Verify that name servers have distinct IP addresses.

delegation03($zone)
    Verify that there is no truncation on referrals.

delegation04($zone)
    Verify that nameservers are authoritative.

delegation05($zone)
    Verify that NS RRs do not point to CNAME alias.

delegation06($zone)
    Verify existence of SOA.

delegation07($zone)
    Verify that parent glue name records are present in child.